Bug 1675851 - qt5-qtlocation: FTBFS in Fedora rawhide/f30
Summary: qt5-qtlocation: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtlocation
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:45 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:52 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:45 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:45 UTC, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2019-02-11 21:45 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:45:17 UTC
qt5-qtlocation failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32470295


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix qt5-qtlocation at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qt5-qtlocation will be orphaned. Before branching of Fedora 31,
qt5-qtlocation will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:45:20 UTC
Created attachment 1532552 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:45:21 UTC
Created attachment 1532553 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:45:22 UTC
Created attachment 1532554 [details]
state.log

Comment 4 Rex Dieter 2019-02-12 15:08:31 UTC
gcc bug?

BUILDSTDERR: *** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
BUILDSTDERR: Event                            | Plugins
BUILDSTDERR: PLUGIN_FINISH_UNIT               | annobin: Generate final annotations
BUILDSTDERR: PLUGIN_START_UNIT                | annobin: Generate global annotations
BUILDSTDERR: PLUGIN_ALL_PASSES_START          | annobin: Generate per-function annotations
BUILDSTDERR: PLUGIN_ALL_PASSES_END            | annobin: Register per-function end symbol
BUILDSTDERR: src/mbgl/renderer/layers/render_raster_layer.cpp: In instantiation of 'mbgl::RenderRasterLayer::render(mbgl::PaintParameters&, mbgl::RenderSource*)::<lambda(const mat4&, const auto:17&, const auto:18&, const auto:19&)> [with auto:17 = mbgl::gl::VertexBuffer<mbgl::gl::detail::Vertex<mbgl::gl::Attribute<short int, 2>, mbgl::gl::Attribute<short unsigned int, 2> >, mbgl::gl::Indexed>; auto:18 = mbgl::gl::IndexBuffer<mbgl::gl::Triangles>; auto:19 = std::vector<mbgl::Segment<mbgl::gl::Attributes<mbgl::attributes::a_pos, mbgl::attributes::a_texture_pos> >, std::allocator<mbgl::Segment<mbgl::gl::Attributes<mbgl::attributes::a_pos, mbgl::attributes::a_texture_pos> > > >; mbgl::mat4 = std::array<double, 16>]':
BUILDSTDERR: src/mbgl/renderer/layers/render_raster_layer.cpp:123:37:   required from here
BUILDSTDERR: src/mbgl/renderer/layers/render_raster_layer.cpp:99:52: internal compiler error: in reshape_init_r, at cp/decl.c:6172
BUILDSTDERR:    99 |                 uniforms::u_tl_parent::Value{ std::array<float, 2> {{ 0.0f, 0.0f }} },
BUILDSTDERR:       |                                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: Please submit a full bug report,
BUILDSTDERR: with preprocessed source if appropriate.
BUILDSTDERR: See <http://bugzilla.redhat.com/bugzilla> for instructions.
BUILDSTDERR: Preprocessed source stored into /tmp/ccXjDJdx.out file, please attach this to your bugreport.
BUILDSTDERR: make[4]: *** [Makefile:29189: .obj/src/mbgl/renderer/layers/render_raster_layer.o] Error 1

Comment 5 Igor Gnatenko 2019-02-14 09:15:52 UTC
There has been at least one successfull build after mass rebuild.

qt5-qtlocation-5.11.3-3.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1201430


Note You need to log in before you can comment on or make changes to this bug.